#
# spec file for package aws-c-common
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           aws-c-event-stream
Version:        0.1.0
Release:        4.2
Summary:        C99 implementation of the vnd.amazon.eventstream content-type
License:        Apache-2.0
Group:          Development/Libraries/C and C++
URL:            https://github.com/awslabs/aws-c-event-stream
Source0:        https://github.com/awslabs/%{name}/archive/v%{version}.tar.gz
Patch:          aces_fix-cmake-modules-path.patch
BuildRequires:  fdupes
BuildRequires:  libaws-c-common-devel
BuildRequires:  libaws-checksums-devel
BuildRequires:  cmake
BuildRequires:  ninja

%description
C99 implementation of the vnd.amazon.eventstream content-type.

%package -n lib%{name}
Summary:        Shared library files for aws-c-event-stream library
Group:          Development/Libraries/C and C++

%description -n lib%{name}
C99 implementation of the vnd.amazon.eventstream content-type.

This package contains the dynamically linked library.

%package -n lib%{name}-devel
Summary:        Development files for aws-c-event-stream library
Group:          Development/Libraries/C and C++
Requires:       lib%{name} = %{version}

%description -n lib%{name}-devel
C99 implementation of the vnd.amazon.eventstream content-type.

This package contains the development files.

%prep
%setup -q
%ifarch aarch64 ppc64 ppc64le riscv64 s390x x86_64
%patch -p1
%endif

%build
%define __builder ninja
%cmake \
    -DCMAKE_BUILD_TYPE=Release
%make_jobs

%check
%ifarch aarch64 ppc64 ppc64le riscv64 s390x x86_64
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/build/lib64
%else
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/build/lib
%endif
%ctest

%install
%cmake_install
%fdupes -s %{buildroot}%{_libdir}/cmake

%post -n lib%{name}
/sbin/ldconfig

%postun -n lib%{name}
/sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%doc NOTICE README.md
%license LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/%{name}
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Tue Feb 12 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 0.1.0
